Skip to content

GET Sync server licenses

This API call first executes the GET Sync cloud distributor action and then synchronizes all servers in an active, deleted, or trial state with Inserve licenses. It creates or updates server licenses in Inserve if they do not exist or if the license quantities differ from those in Sentri.

Location

/api/v1/sources/inserve/sync-cloud-licenses/

Permissions required

servers RW

Body parameters

None.

Example Body (json)

None.

Example Request

$curl = curl_init();  
curl_setopt_array($curl, array(  
    CURLOPT_URL => 'https://sentri.nl/api/v1/sources/inserve/sync-cloud-licenses/',  
    CURLOPT_CUSTOMREQUEST => 'GET',  
    CURLOPT_RETURNTRANSFER => true,  
    CURLOPT_HTTPHEADER => [  
        "Authorization: Bearer <API your Bearer Token>",  
        "Accept: application/json",  
        "Content-Type: application/json"  
    ]  
));  

$response = curl_exec($curl);  

curl_close($curl);  
echo $response;

Example Response

"Sync is done successfully"

Known errors or issues.

None are known at the time If you do encounter issues and get an http code in return, check the response codes on this page.